Enterprise Mobility and Security Blog


[Today’s post is provided by Martin Li]

The Application Compatibility Toolkit Connector (ACT Connector) assists administrators with collecting the necessary computer and application compatibility information to help plan for a Windows deployment. A prerequisite for the ACT Connector is Microsoft Application Compatibility Toolkit 5.5 (ACT 5.5), which was replaced by a newer version, ACT 5.6, on June 7th.

Will ACT Connector work with ACT 5.6? The short answer is “Yes.” One limitation is that ACT Connector cannot take advantage of the 64-bit compatibility support newly added in ACT 5.6.  Application compatibility data reported by the ACT Connector are always for 32-bit operating systems.

If you upgrade from ACT 5.5 to ACT 5.6 and update the ACT database following the configuration wizard, ACT Connector features will continue to work as before. After you upgrade to ACT 5.6 and run the ACT configuration wizard, select your existing ACT database in the “Configure Your ACT Database Settings” page. You will notice an “Update” button beside the Database name, as shown in the screenshot below. Click the “Update” button and follow the instructions in “Database Upgrade Options” dialog to update the ACT database.



Alternately, you may make a new installation of ACT 5.6 rather than upgrading from ACT 5.5. In this case, do not use “Configure ACT Server” under Application Compatibility Toolkit Connector/Application Compatibility Toolkit Server node to configure ACT 5.6 database. Instead, use the VB script (ActConfig.vbs) documented in the following blog post to configure ACT database: http://blogs.technet.com/b/configurationmgr/archive/2009/07/01/support-for-act-5-5-with-the-act-connector.aspx. Please note that if the ACT database is hosted in a SQL named instance, be sure to include the instance name in the ACT Server parameter you pass to ActConfig.vbs. For example, ActConfig.vbs <Site server> <Site code> <ACT Server><SQL named instance> <ACT database> <Machine Account>.

Configuring the ACT 5.6 database using “Configure Your ACT Server” provided by ACT Connector will result in an error message reporting a series of invalid column errors. This is because ACT Connector has a dependency on ACT database tables whose schema changed in ACT 5.6.  To avoid this issue, uninstall and then reinstall ACT 5.6 and create a new ACT database. You can then configure the ACT database using the ActConfig.vbs VB script described above.

In summary, if you upgrade an ACT 5.5 environment to ACT 5.6, the ACT Connector will continue to work provided you properly update the ACT database using the ACT Configuration wizard. If you create a fresh installation of ACT 5.6, do not configure ACT database using ACT Connector wizard but instead use the ActConfig.vbs script.

Martin Li

This posting is provided “AS IS” with no warranties and confers no rights.